%     This is the code used to create the examples reported
%     in      chapter 1 of Hansen and Sargent
%
%
%  Create figure 1
rand('normal')
a=[0 0 0 1]
A=compn(a)
C=zeros(4,1)
G=eye(4)
D=zeros(4,1)
w=zeros(20,1)
x0=[1 0 0 0]'
y=dlsim(A,C,G,D,w,x0);
y1=y(:,1);
v=[0 20 -.2 1.2]
axis(v)
plot(y1,'*'),hold
plot(y1),pause %title('deterministic seasonal'),pause
meta fig1
axis
axis
hold
%  Create figure 2
C(1,1)=1;
rand('normal')
w=rand(150,1);
y=dlsim(A,C,G,D,w,x0);
y2=y(:,1);
plot(y2),pause  % title('indeterministic seasonal with unit root'),pause
meta fig2
%  Create figure 3
a=[0 0 0 .7]
A=compn(a)
y=dlsim(A,C,G,D,w,x0);
y3=y(:,1);
plot(y3),pause %title('indeterministic seasonal, no unit root'),pause
meta fig3
%  Create figure 4
x0=[0 0 0 0]'
a=[.9 0 0 0 ]
A=compn(a)
y=dlsim(A,C,G,D,w,x0);
y4=y(:,1);
plot(y4),pause %title('first order autoregression'),pause
meta fig4
%  Create figure 5
a=[1.2 -.3 0 0]
A=compn(a)
y=dlsim(A,C,G,D,w,x0);
y5=y(:,1);
plot(y5),pause %  title('second order autoregression'),pause
meta fig5
%  Create figure 6
x0=[10  0 0 0]'
a=[1.025 0 0 0]
A=compn(a)
y=dlsim(A,C,G,D,w,x0);
y6=y(:,1);
 plot(y6),pause% ,title('growth with homoskedastic noise'),pause
%meta fig6
%  Create figure 7
n=150
t=[1:n]';
t=t./2;
g=(1.025).^t;
wg=w.*g;
y=dlsim(A,C,G,D,wg,x0);
y7=y(:,1);
 plot(y7),pause %title('growth with heteroskedastic noise'),pause
%meta fig7
%  Create figure 8
w=rand(150,2);
A=[.9 .05 .05 .01;1 0 0 0;-.04 -.06 .75 -.1; 0 0 1 0]
C=zeros(4,2);
C(1,1)=1;C(3,2)=1;
G=zeros(2,4)
G(1,1)=1
G(2,3)=1
D=zeros(2,2)
x0=zeros(4,1)
y=dlsim(A,C,G,D,w,x0);
y8=y;
plot(y8),pause %title('second order bivariate autoregression'),pause
meta fig8
%  Create figure 9
i1=dimpulse(A,C,G,D,1,20);
i2=dimpulse(A,C,G,D,2,20);
jj=[0:18];
plot(jj,i1(2:20,:)),pause %title('response to first innovation'),pause
gtext('response of z1'),pause
gtext('response of z2'),pause
meta fig9
plot(jj,i2(2:20,:)),pause %title('response to second innovation'),pause
gtext('response of z1'),pause
gtext('response of z2'),pause
meta fig10
%  Create figure 10
%[tab1,tab2]=evardec(A,C,G,-20,-1,eye(2));
%tab2
%  Create figure 11
a=[1.2 -.22];A=compn(a)
C=[1 0]'
G1=[1 0]
D=zeros(2,1)
G2=.5*G1/(eye(2)-.9*A)
G=[G1;G2]
x0=[0 0]'
w=rand(150,1);
y=dlsim(A,C,G,D,w,x0);
plot(y),pause %  title('simulation of m and p'),pause
gtext('m'),pause
gtext('p'),pause
meta fig11
% Create figure 12
y=dimpulse(A,C,G,D,1,20);
plot(jj,y(2:20,:)),pause  %title('impulse response of m and p'),pause
gtext('response of m'),pause
gtext('response of p'),pause
meta fig12
%  Create n(L) and d(L)
[n,d]=ss2tf(A,C,1)
