function[B]=compn(a)
%  COMPN.M
%  function[B]=compn(a)
%  Creates companion matrix B for the row vector a.
%  The companion matrix B is defined as
%
%          | a(1) a(2) ... a(n-1) a(n) |
%          |   1   0         0      0  |
%      B = |   0   1         0      0  |
%          |   .                       |
%          |   .                       |
%          |   .                       |
%          |   0   0         1      0  |
%
%  The matrix B is returned.
[r,c]=size(a);
n=c;m=c-1;
B=[eye(m);zeros(1,m)]';
B=[a;B];
