function[K,S]=double(A,C,Q,R)
%function[K,S]=double(A,C,Q,R)
%This program uses the "doubling algorithm" to solve the
%Riccati matrix difference equations associated with the
%Kalman filter.  A is nxn, C is kxn, Q is nxn, R is kxk.
%The program returns the gain K and the stationary covariance
%matrix of the one-step ahead errors in forecasting the state.
a0=A';
b0=C'*(R\C);
g0=Q;
tol=.000001;
dd=1;
ss=max(size(A));
v=eye(ss);
while dd>tol
a1=a0 *((v+b0*g0)\a0);
b1=b0+a0*((v+b0*g0)\(b0*a0'));
g1=g0+a0'*g0*((v+b0*g0)\a0);
k1=A*g1*C'/(C*g1*C'+R);
k0=A*g0*C'/(C*g0*C'+R);
dd=max(max(abs(k1-k0)));
a0=a1;
b0=b1;
g0=g1;
end
K=k1;S=g1;
