%  Computes aspects of a linear recursive equilibrium
%  Run21a.m computes for Hall's model (clex11a) in which adjustment costs
%  have been shut down
echo on
clex11
%  phii(2)=0;    %  Here we shut down adjustment costs
echo off
solvea
ao
c
endo
exo
disp('G contains [sc;si;ss;sk;sh;sd;sb]')
G=[sc;si;ss;sk;sh;sd;sb]
sc
si
ss
sk
sh
sd
sb
disp('H contains [mc;mi;mk;mh;ms]')
H=[mc;mi;mk;mh;ms]
mc
mi
mk
mh
ms
disp('create arma repres for c,k, and mc')
sy=[sc;sk;mc]
ii=1
ni=40
[num,den]=aarma(ao,c,sy,ii)
disp('create impulse response for c,k, and mc in response to endow. shock')
z=aimpulse(ao,c,sy,ii,ni)
										
clg

subplot(221),plot(z(:,1)),title('impulse response of c'),subplot(222),...
plot(z(:,2)),title('impulse response of k'),subplot(223),plot(z(:,3)),...
title('response of multiplier'),pause
clg
subplot(221),plot(z),title('impulse response '),pause
sy=[sc;si;sk;mc]
disp('simulate c, i, k, and mc')
t1=150
nt=150
asimul
clg
subplot(221),plot(y(:,1)),title('consumption'),subplot(222),plot(y(:,2)),...
title('investment'),subplot(223),plot(y(:,3)),title('capital'),...
subplot(224),plot(y(:,4)),title('shadow price'),pause
clg
subplot(221),plot(y(:,1:2)),title('c and i'),pause
disp('simulate asset prices')
ydata=y;
pay=sd(1,:)
t1=100;
asseta
plot(y(:,3)),pause
plot(R1),pause
plot([R1 R2]),pause
