% BEWLEY4.M
%  Program for final, Berkeley class, spring 1990.
%  This program works problem 2 on the final.
%  We generate the economy asked for in the problem,
%  and computes its equilibrium.  We compute the equilibrium sequentially,
%  first forming the "representative agent" economy and using solvea.m
%  to compute the equilibrium price system and the aggregate allocation.
%  Then we compute the individual allocations by using heter.m.  We
%  simulate the individual allocations by using a program called simulha.
										
%   The file clex35b.m reads in the economy.  You can edit this
%   file to change parameters to work the problem.
%   Also, the comments in this program describe its structure.
clex35b               %  Read in the economy
solvea                %  Compute equilibrium of representative agent
ubi=ub1               %  Read in preferences of first agent
udi=ud1               %  Read in endowment of first agent
t1=100                %  Set number of observations in simulation
x0=x0'                %  Set initial condition
heter                 %  Compute individual allocation for agent 1
sy=[sci;sca;sdi]
simulha               %  Simulate first agent's consumption, aggreg consum,
		      %    and the first agent's endowment
y1=y                  %  Store the first agent's consumption, the aggregate
		      %   consumption, and the first agent's endowment
ubi=ub2               %  Read in preferences of second agent
udi=ud2               %  Read in endowments of second agent.
heter                 %  Repeat above steps for second agent
sy=[sci;sca;sdi]
simulha
y2=y                  %  store output for second agent
z=[y1(:,1),y2(:,1),y2(:,2),y1(:,3),y2(:,3)]
		      %
		      %  z contains the consumption of agent 1, consumption
		      %  of agent 2, the aggregate consumption, the
		      %  endowment (or dividend) for agent 1, and finally
		      %  the endowment ( or dividend) for agent 2.
s1=y1(:,3)-y1(:,1);    % compute savings of agent 1
s2=y2(:,3)-y2(:,1);    % compute savings of agent 2
clg
subplot(221),plot([y1(:,1),y2(:,1)]),title('consn allocations'),...
subplot(222),plot(s1),title('saving of agent 1'),subplot(223),plot(s2),...
title('saving of agent2'),pause
										
%  To see the consumption allocations and the endowment processes,
%  pull them off the appropriate columns of z.
										
%  To compute the correlation between consumptions of the
%  the two agents, we'll just compute...
cc=corr(z(:,1:3))
%  To do the asset pricing calculations, use bewley5.m
