%  farm10.m
%  sets up the farm example
% default values for parameters

alpha0 = 500;
alpha1 = 0.5;
beta   = 0.909;
beta   = 0.96;
delta  = 0.1;
delta  = 0.00001;
gamma0 = 0.4;
gamma1 = 0.7;
f1     = 0.0001;
f3     = 0.0001;
f5     = 0.0001;
f7     = 0.0001;
g      = 0.85;
rho1   = 0;
rho2   = 0;
rho3   = 0;
sigma1 = 0;
sigma2 = 0;
sigma3 = 0;
muh    = 50.0;
muh    = 3.6741e+01;
mum    = 100.0;
mum    = 6.2834e+01;
x0     = zeros(8,1);
x0(2:5)= [17.56*ones(3,1);1];

no     = 3;
grate  = 1;
varm   = 1e-7*ones(no,1);
Gam    = zeros(no);


if no>2; varm(3)= 1e-7; end

%    Note: make sure the user provided derivatives are consistent with
%    the defined matrices here.  
%---------------------------------------------------------------------
%---------------------------------------------------------------------


%---------------------------------------------------------------------
% 3. Assign elements of Theta to underlying parameters.  Use the vector
%    ind to indicate which parameters are to be estimated and which
%    are to be fixed in estimation.  For example, if the vector of 
%    parameters is [beta,gamma,delta] and gamma is to be fixed during
%    estimation then set:
%       beta  = Theta(1);
%       delta = Theta(2);
%       ind   = [1,0,1];
%  
 
%    For the current example, the ordering of the parameter vector is:
%       alpha0,alpha1,beta,delta,gamma0,gamma1,f1,f3,f5,f7,
%       g,rho1,rho2,rho3,sigma1,sigma2,sigma3,muh,mum,
%       grate,varm
%         1      2     3     4     5      6    7  8  9  10 
%       11 12   13   14    15     16     17   18  19
%        20    23 
%

ind    = [1,1,0,0,1,1, 0,0,0,0, 1, 0,1,1, 0,1,1, 0,0, 0, 1,1,0];




Theta = [...
   1.4573e+02
   1.2657e+00
   6.4734e-01
   1.7706e+00
   9.3779e-01
   8.8776e-01
   6.9864e-01
   6.8173e+00
   4.0396e+00
   2.7335e-01
   4.8246e+00
];


alpha0 = Theta(1);
alpha1 = Theta(2);
gamma0 = Theta(3);
gamma1 = Theta(4);
g      = Theta(5);
rho2   = Theta(6);
rho3   = Theta(7);
sigma2 = Theta(8);
sigma3 = Theta(9);
varm(1)= Theta(10);
varm(2)= Theta(11);

%rho2=0;   %  override estimates and make shocks serially uncorrelated
%rho3=0;    


f2     = 0.5*gamma0*g/f1;   
f4     = 0.5*gamma1*g/f3;  
f6     = 0.5/f5;
f8     = 0.5/f7;
a22    = [1 0 0 0; 0 rho1 0 0; 0 0 rho2 0; 0 0 0 rho3];
c2     = [0 0 0;sigma1 0 0; 0 sigma2 0; 0 0 sigma3];
deltah = 0.0;
deltak = [(1-delta),0,g;1,0,0;0,1,0];
gamma  = [0 0 0; f5*(1-delta) 0 g*f5; f1 0 0; 0 f3 0; 0 0 0];
lambda = 0.0;
phic   = [1 f5 0 0 -f7]';
phig   = [0 0 0 0; 1 0 0 0; 0 1 0 0; 0 0 1 0; 0 0 0 1];
phii   = [1 0 0 0 0]';
pih    = sqrt(1/alpha1);
thetah = 0.0;
thetak = [1 0 0]';
ub     = [pih*alpha0 0 0 pih];
ud     = [0 0 0 0; [f6;f2;f4]*[muh,1,0,0]; f8*[mum,0,1,0]];
Omega  = diag(varm);



