%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  
%  LBDADJ.M   
%
%  This file creates the  matrices for use with solvex, etc., for an
%  economy with learning by doing adjustment costs.  That is, the 
%  adjustment costs disappear asymptotically as the agent builds up a
%  stock of adjustment cost capital.  The adjustment cost is  the 
%  square of the difference between today's investment and this stock
%  which is a weighted average of past investment.  In a deterministic
%  environment, the adjustment cost would go to zero as the economy
%  converged to its steady state.  This technology is adopted to produce
%  cointegrated behavior found in consumption and investment data.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%







beta=1/1.02;
deltak1=.95;
gam=1/beta - deltak1;
phic=[1 0]';
phig=[0 1]';
phi1=.005;
gamma=[gam 0;0 -phi1]';
phii=[1 -phi1]';

deltak2=.8;

deltak = diag([deltak1 deltak2]);
thetak=[1 1-deltak2]';

ud=[5 1 0; 0 0 0];
rhod = .8;

rhob = .5;
a22=[1 0 0; 0 rhod 0; 0 0 rhob];
c2=[0 1 0; 0 0 .1]';

lambda=0;
pih=1;
deltah=.9;
thetah=0;
ub=[30 0 1];
%x0=[3 100 1 0 0];
sig=0;


