function [f,xbar,xbartru]=mo30(mu,sig,x)
% function [f,xbar,xbartru] = mo30(mu,sig,x)
%  Creates distribution for Mo using a grid
xx=mu+(sig^2)/2;
xbartru=exp(xx);

ns=max(size(x));
f=exp(-(log(x)-mu*ones(1,ns)).^2/(2*sig^2))./(x*sig*sqrt(2*pi));
fs=sum(f);
f=f./fs;
xb=f.*x;
xbar=sum(xb)       %  mean of x
