%percept.m
%  A two-input, one-output perceptron.  July 27, 1991

%  initialize weights
rand('uniform')
w=rand(3,1)*.05-.025;
g=rand(3,1)*.05-.025;
h=rand(3,1)*.05-.025;

k=30;       %  parameter setting for sigmoidal function

%  inputs and outputs to be learned:
%
%    x1   x2       y
%
%    0    0        0
%    0    1        0
%    1    0        0
%    1    1        1
%
x=[0 0;0 1; 1 0; 1 1];
x=[ones(4,1) x];         %  we've entered the constant as the first columnn of x
y=[0 0 0 1]';
%  y=[0 1 1 1]';% Here's an alternative pattern
%  y=[1 0 0 1]';    % Here's a pattern that can't be learned
%  y=[0 0 0 0]';

gamma=.8;     % gamma is the relaxation parameter


  for i=1:100




% z=x*w;
%  outputs of first layer
z1=x*h;   %  This is the input into the first hidden node
z2=x*g;   %  This is the input into the second hidden node

zh1=ones(4,1)./(1+exp(-(k*z1)));     % Output of first hidden node
zh2=ones(4,1)./(1+exp(-(k*z2)));     % Output of second hidden node

xv=[ones(4,1) zh1 zh2];         % Input into final node
zh=xv*w;                % Input into final node
yh=ones(4,1)./(1+exp(-(k*zh)));
% for j=1:4

delta=k*yh.*(1-yh).*(y-yh)     ;
w=w+ones(3,4)*gamma*(delta.*yh) ;

deltag=k*zh2.*(1-zh2).*delta*w(3);
deltah=k*zh1.*(1-zh1).*delta*w(2);

g=g+ones(3,4)*gamma*(deltag.*zh2);
h=h+ones(3,4)*gamma*(deltah.*zh1);
%  end
end
