%  Computes aspects of a linear recursive equilibrium
%  Run29.m computes for a time to build model with a seasonal pref.
%  shock and a first order a.r. endowment shock (clex18)
echo on
clex18
										
solvea
nnc=7
steadst
x0=zs
ao
c
endo
exo
disp('G contains [sc;si;ss;sk;sh;sd;sb]')
G=[sc;si;ss;sk;sh;sd;sb]
sc
si
ss
sk
sh
sd
sb
disp('H contains [mc;mi;mk;mh;ms]')
H=[mc;mi;mk;mh;ms]
mc
mi
mk
mh
ms
disp('create arma repres for c and i')
sy=[sc;si]
for ii=1:2
%  The first shock is the preference shock (ii=1)
%  The second shock is the endowment shock (ii=2)
ii
ni=40
[num,den]=aarma(ao,c,sy,ii)
disp('create impulse response for c and i in response to shock ii')
z=aimpulse(ao,c,sy,ii,ni)
										
clg
										
subplot(221),plot(z(:,1)),title('impulse response of c'),subplot(222),...
plot(z(:,2:3)),title('impulse response of i'),subplot(223),pause
										
clg
subplot(221),plot(z),title('impulse response '),pause
end
R=.00001*eye(3)
D=zeros(3)
clg
varma
varma2
for i=1:3
clg
zz=se(i)*real(dimpulse(aa,bb,cc,dd,i,40))
subplot(221),plot(zz(:,1)),title('impulse response of c'),...
subplot(222),plot(zz(:,2:3)),title('impulse response of i'),...
subplot(223),...
subplot(224),plot(zz),title('impulse response'),pause
end
rs=chol(V1)
rs'*rs
V1
bbb=bb*rs'
ddd=dd*rs'
for i=1:3
clg
zz=real(dimpulse(aa,bbb,cc,ddd,i,40))
subplot(221),plot(zz(:,1)),title('impulse response of c'),...
subplot(222),plot(zz(:,2:3)),title('impulse response of i'),...
subplot(223),...
subplot(224),plot(zz),title('impulse response'),pause
end
sy=[sc;si;sk;mc]
disp('simulate c, i, k, and mc')
t1=150
nt=150
asimul
clg
subplot(221),plot(y(:,1)),title('consumption'),subplot(222),plot(y(:,2:3)),...
title('investment'),subplot(223),plot(y(:,4:5)),title('capital'),...
subplot(224),plot(y(:,6)),title('shadow price'),pause
clg
subplot(221),plot(y(:,1:2)),title('c and i'),pause
disp('simulate asset prices')
ydata=y;
pay=sd(1,:)
asseta
clg
subplot(221),plot(y(:,3)),title('price of asset'),subplot(223),plot(y(:,4))...
,title('return on asset'),pause
										
sdata=y;
clg
subplot(221),plot(R1),title('one period price'),...
subplot(222),plot(R2),title('two period price'),...
subplot(223),plot(R5),title('five period price'),pause
										
