% SEASEX5.M   modified version of Seas1.m
%  This program can be used to create a seasonal model from a nonseasonal
%  model.  The program first inputs the matrices for a time-invariant,
%  nonseasonal model.  The user specifies p, the period of the seasonal
%  model.  The user feeds in phic, phig, phii, gamma, deltak, deltah,
%  thetak, thetah, lambda, pih, a22, and c2 for the nonseasonal model.
%  The program then creates matrices phics, phigs, phiis, gammas,
%  deltaks, deltahs, thetaks, thetahs, lambdas, pihs, and a22s for
%  s=1, 2, ... ,p.  The program sets these matrices equal to the
%  corresponding matrices for the time invariant problem.
%
%  The user can then create a seasonal model by resetting one or more
%  of the matrices.
p=4;
seasex1    %  This program reads in parameters of a nonseasonal economy
   %  p is period of parameters
for j=1:p
n=int2str(j);
eval(['phic',n,'=phic;'])
eval(['phig',n,'=phig;'])
eval(['phii',n,'=phii;'])
eval(['gamma',n,'=gamma;'])
eval(['deltak',n,'=deltak;'])
eval(['thetak',n,'=thetak;'])
eval(['deltah',n,'=deltah;'])
eval(['thetah',n,'=thetah;'])
eval(['lambda',n,'=lambda;'])
eval(['pih',n,'=pih;'])
eval(['a22',n,'=a22;'])
eval(['c2',n,'=c2;'])
end
										
