%  rob4b.m
% 
%  program to practice control system syntax
%  for adjustment cost economy
%  generates max singular value for economies with
%  sig = 0  (red), sig=-.02 (green), and sig=-.05 (blue)
%  
clear all

%  read in adjustment cost economy 
%  
clear clex12b

clex12b



%-------------------------------------------------------
%  form system 1 with ordinary lq preferences (set sig=0) 

sig=-0;

solvex

ao=ao*(sqrt(beta));

%kk=[kg' kg2];

kk=k;

kk'*q*kk


ret=r+ kk'*q*kk;   %  return matrix



ret=ret+.000001*eye(7);   % return matrix made full rank with trick
hh=chol(ret);d=zeros(7,2);
clear ss
sys1=ss(ao,c,hh,d,1)


%--------------------------------------------------------------
%
%   make up second system with different sigma





sig=-.025;

solvex

ao=ao*(sqrt(beta));

%kk=[kg' kg2];

kk=k;

kk'*q*kk


ret=r+ kk'*q*kk;   %  return matrix

ret=ret+.000001*eye(7);   % return matrix made full rank with trick
hh=chol(ret);d=zeros(7,2);
clear ss
sys2=ss(ao,c,hh,d,1)



%------------------------------------------------------------
%
%  make up third system


sig=-.05

solvex

ao=ao*(sqrt(beta));

%kk=[kg' kg2];

kk=k;

kk'*q*kk


ret=r+ kk'*q*kk;   %  return matrix

ret=ret+.000001*eye(7);   % return matrix made full rank with trick
hh=chol(ret);d=zeros(7,2);
clear ss
sys3=ss(ao,c,hh,d,1)


get(sys1)
get(sys2)

pole(sys1)

norm(sys1)


close all

%ww={0 pi}
figure(1)
sigma(sys1,'r',sys2,'g',sys3,'b')




figure(2)
[sv1,w1]=sigma(sys1);

[sv2,w2]=sigma(sys2);

[sv3,w3]=sigma(sys3);


%  plot the maximum singular values


plot(w1,log(sv1(1,:)),'r');
hold on
plot(w2,log(sv2(1,:)),'g');
plot(w3,log(sv3(1,:)),'b');
hold off

n12=norm(sys1,2)
n1inf=norm(sys1,inf)

n22=norm(sys2,2)
n2inf=norm(sys2,inf)

n32=norm(sys3,2)
n3inf=norm(sys3,inf)
return

return


figure(2)
bode(sys)
hh=freqresp(sys,[.001:.05:pi]);


nn=length(hh)
H=zeros(nn,1);

for j=1:nn
H(j)=hh(:,:,j)'*hh(:,:,j);
end
figure(3)
plot([.001:.05:pi],H)
